package com.gh.gamecenter.entity;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class NewsDetailEntity {

	@SerializedName("_id")
	private String id;
	private String time;
	private String author;
	private String content;
	private String title;
	private String type;

	@SerializedName("game_id")
	private String gameId;

	//相关推荐
	private List<NewsEntity> more;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getGameId() {
		return gameId;
	}

	public void setGameId(String gameId) {
		this.gameId = gameId;
	}
	
	public List<NewsEntity> getMore() {
		return more;
	}

	public void setMore(List<NewsEntity> more) {
		this.more = more;
	}

}
